//
//  Copyright (C) 2017 Jonas Vieira de Souza
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//
mode(-1);
lines(0);

function cpc_f_criar()
    TOOLBOX_NAME  = "cpc_f";
    TOOLBOX_TITLE = "CPC_F";
    toolbox_dir   = get_absolute_file_path("builder.sce");
    try
        v = getversion("scilab");
    catch
        error(gettext("Requer versão Scilab 5.3 ou maior."));
    end

    if v(1) < 5 & v(2) < 3 then
        error(gettext("Requer versão Scilab 5.3 ou maior."));
    end

    if ~isdef("tbx_build_loader") then
        error(msprintf(gettext("%s modulo não instalado."), "modules_manager"));
    end

    tbx_builder_macros(toolbox_dir);
    tbx_builder_help(toolbox_dir);
    tbx_build_loader(TOOLBOX_NAME, toolbox_dir);
    tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir);
endfunction

cpc_f_criar();
clear cpc_f_criar;
